Results 1 to 5 of 5

Thread: How do you Install OpenCL Runtime for Intel Core and Intel Xeon Processors

Threaded View

  1. #1
    Junior Member
    Join Date
    Jan 2013
    Posts
    14

    Question How do you Install OpenCL Runtime for Intel Core and Intel Xeon Processors

    Hello guys

    (Knoppix 8.1 with 20 Gig persistence -- Running in 64 bit)

    I installed "Hashcat" normally, & saw nothing out of the ordinary while installing, until I tried to run HashCat, & got a message in response saying:

    Code:
    root@Microknoppix:/home/knoppix# hashcat -a 3  -D 1 -m 2500 /hashcat-4.1.0/HASH.hccapx ?a?a?a?a?a?a?a?a
    hashcat (v4.1.0) starting...
    
    Cannot find an OpenCL ICD loader library.
    
    You are probably missing the native OpenCL runtime or driver for your platform.
    
    * AMD GPUs on Linux require this runtime and/or driver:
      "RadeonOpenCompute (ROCm)" Software Platform (1.6.180 or later)
    * Intel CPUs require this runtime and/or driver:
      "OpenCL Runtime for Intel Core and Intel Xeon Processors" (16.1.1 or later)
    * Intel GPUs on Linux require this runtime and/or driver:
      "OpenCL 2.0 GPU Driver Package for Linux" (2.0 or later)
    * NVIDIA GPUs require this runtime and/or driver:
      "NVIDIA Driver" (367.x or later)
    
    Started: Wed May 23 15:36:54 2018
    Stopped: Wed May 23 15:36:54 2018
    root@Microknoppix:/home/knoppix# 
    I have an old AMD Radeon HD 6450 graphics card installed, & also an Intel Core 2 Duo CPU.
    I'm not sure how to go about installing the Drivers to activate OpenCL functionality.

    I went to AMD's, & Intel's website, & read up a little on the issue, & they are saying that I need to install OpenCL Runtime for Intel Core and Intel Xeon Processors for the CPU... also RadeonOpenCompute (ROCm) for the AMD GPU.

    Right now, I only want the CPU to work (Just to have something working), but if possible, both CPU, & GPU would be awesome if they both began working.


    Here's the link to the Intel Core 2 Duo CPU drivers:

    OpenCL™ Drivers and Runtimes for Intel Architecture

    Hashcat says it has to be version 6.1.1 or Later.

    I scrolled down Intel's Driver page, but have no idea which one of the downloads is the right one to get for Knoppix. They have:

    Windows
    SLES
    Linux
    Red Hat
    Ubuntu

    I downloaded Ubuntu's version, & extracted it, but saw a bunch of .rpm files, & I have no idea how to install those, so now I'm here wondering if you guys have an easy fix.

    Thanks in advance guys... i'm patiently staring at the screen, waiting for your awesome replies.
    Last edited by DTeCH; 05-23-2018 at 11:47 PM.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •